Package com.pixelmed.dicom

## Class DicomDirectoryRecordFactory.ConcatenationDirectoryRecord

- java.lang.Object
- - com.pixelmed.dicom.DicomDirectoryRecord
  - - com.pixelmed.dicom.DicomDirectoryRecordFactory.ConcatenationDirectoryRecord

- All Implemented Interfaces:
    `java.lang.Comparable`, `javax.swing.tree.TreeNode`
  Enclosing class:
    DicomDirectoryRecordFactory

      public class DicomDirectoryRecordFactory.ConcatenationDirectoryRecord
      extends DicomDirectoryRecord

- - ### Field Summary

    - ### Fields inherited from class com.pixelmed.dicom.DicomDirectoryRecord

      `integerValue, stringValue, uid`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(java.lang.Object o)` |
    `protected void` | `makeIntegerValue()` | Make the value that will be retured on a call to `getIntegerValue()`.
    `protected void` | `makeStringValue()` | Make the value that will be retured on a call to `getStringValue()`.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.pixelmed.dicom.DicomDirectoryRecord

      `addChild, addSibling, children, compareToByIntegerValue, compareToByStringValue, equals, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getIndex, getIntegerValue, getParent, getStringValue, getUIDForComparison, isLeaf, removeChild, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(java.lang.Object o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`
      Overrides:
        `compareTo` in class `DicomDirectoryRecord`

    - #### makeStringValue

          protected void makeStringValue()

      Description copied from class: `DicomDirectoryRecord`

      Make the value that will be retured on a call to `getStringValue()`.

      Specified by:
        `makeStringValue` in class `DicomDirectoryRecord`

    - #### makeIntegerValue

          protected void makeIntegerValue()

      Description copied from class: `DicomDirectoryRecord`

      Make the value that will be retured on a call to `getIntegerValue()`.

      Specified by:
        `makeIntegerValue` in class `DicomDirectoryRecord`